# Uses of Interface
org.eclipse.mat.query.IContextObject

Packages that use IContextObject
Package
Description
org.eclipse.mat.inspections
These are general queries.
org.eclipse.mat.inspections.collections
These are queries for Collection classes.
org.eclipse.mat.inspections.osgi
These are queries for examining OSGi bundles.
org.eclipse.mat.internal.snapshot
Collects arguments for queries.
org.eclipse.mat.internal.snapshot.inspections
These are queries for dominator tree and paths to/from garbage collection roots.
org.eclipse.mat.jdt
Links class names to the class source in an Eclipse IDE, not an Application Programming Interface (API).
org.eclipse.mat.query
Package for examining and controlling results of running queries.
org.eclipse.mat.query.refined
A way of controlling the detail given by the output of a query.
org.eclipse.mat.query.results
Default Query Result Implementations.
org.eclipse.mat.snapshot
The Snapshot API, a VM independent way of looking at a snapshot of the state of objects in a heap.
org.eclipse.mat.ui.internal.browser
Examine list of queries and query history - user interface (not API).
org.eclipse.mat.ui.snapshot.actions
Supplementary actions to open a snapshot, copy to clipboard, open icon assist and so on - user interface (not API).
org.eclipse.mat.ui.util
Utility classes for toolbars, popup menu, searching on typing - user interface (not API).

## Uses of IContextObject in org.eclipse.mat.inspections

Fields in org.eclipse.mat.inspections with type parameters of type IContextObject
Modifier and Type
Field
Description
`List<IContextObject>`
OQLQuery.`contexts`
Methods in org.eclipse.mat.inspections that return IContextObject
Modifier and Type
Method
Description
`IContextObject`
BigDropsQuery.`getContext(Object row)`
`IContextObject`
DuplicatedClassesQuery.`getContext(Object element)`
`IContextObject`
FindLeaksQuery.SuspectsResultTable.`getContext(Object row)`
`IContextObject`
ImmediateDominatorsQuery.ResultImpl.`getContext(Object row)`

## Uses of IContextObject in org.eclipse.mat.inspections.collections

Methods in org.eclipse.mat.inspections.collections that return IContextObject
Modifier and Type
Method
Description
`IContextObject`
HashEntriesQuery.Result.`getContext(Object row)`

## Uses of IContextObject in org.eclipse.mat.inspections.osgi

Methods in org.eclipse.mat.inspections.osgi that return IContextObject
Modifier and Type
Method
Description
`IContextObject`
BundleRegistryQuery.BundleTreeResult.`getContext(Object row)`

## Uses of IContextObject in org.eclipse.mat.internal.snapshot

Constructor parameters in org.eclipse.mat.internal.snapshot with type arguments of type IContextObject
Modifier
Constructor
Description
``
`HeapObjectContextArgument(ISnapshot snapshot, List<IContextObject> context, String label)`

## Uses of IContextObject in org.eclipse.mat.internal.snapshot.inspections

Methods in org.eclipse.mat.internal.snapshot.inspections that return IContextObject
Modifier and Type
Method
Description
`IContextObject`
CompareTablesQuery.TableComparisonResult.`getContext(Object row)`
`final IContextObject`
Path2GCRootsQuery.Tree.`getContext(Object row)`

## Uses of IContextObject in org.eclipse.mat.jdt

Fields in org.eclipse.mat.jdt declared as IContextObject
Modifier and Type
Field
Description
`IContextObject`
OpenSourceFileQuery.`subject`

## Uses of IContextObject in org.eclipse.mat.query

Subinterfaces of IContextObject in org.eclipse.mat.query
Modifier and Type
Interface
Description
`interface`
`IContextObjectSet`
Interface to describe a set of objects.
Methods in org.eclipse.mat.query that return IContextObject
Modifier and Type
Method
Description
`abstract IContextObject`
ContextProvider.`getContext(Object row)`
Return the context object associated with the specified row.
`IContextObject`
IResultPie.Slice.`getContext()`
`IContextObject`
IStructuredResult.`getContext(Object row)`
The default context of the row which is used to display information in the object inspector.

## Uses of IContextObject in org.eclipse.mat.query.refined

Methods in org.eclipse.mat.query.refined that return IContextObject
Modifier and Type
Method
Description
`IContextObject`
RefinedStructuredResult.`getContext(Object row)`

## Uses of IContextObject in org.eclipse.mat.query.results

Methods in org.eclipse.mat.query.results that return IContextObject
Modifier and Type
Method
Description
`IContextObject`
ListResult.`getContext(Object row)`
`IContextObject`
PropertyResult.`getContext(Object row)`

## Uses of IContextObject in org.eclipse.mat.snapshot

Methods in org.eclipse.mat.snapshot that return IContextObject
Modifier and Type
Method
Description
`IContextObject`
Histogram.ClassLoaderTree.`getContext(Object row)`
`IContextObject`
Histogram.`getContext(Object row)`
`IContextObject`
Histogram.PackageTree.`getContext(Object row)`
`IContextObject`
Histogram.SuperclassTree.`getContext(Object row)`
`IContextObject`
UnreachableObjectsHistogram.`getContext(Object row)`

## Uses of IContextObject in org.eclipse.mat.ui.internal.browser

Constructor parameters in org.eclipse.mat.ui.internal.browser with type arguments of type IContextObject
Modifier
Constructor
Description
``
`Policy(List<IContextObject> menuContext, String selectionLabel)`
Determine whether to show this query: Global context (no selection or heap available) any context arg - disallow Local context context arg doesn't match available context - disallow no context arg and no heap arg - disallow (no point in operating on a selection)

## Uses of IContextObject in org.eclipse.mat.ui.snapshot.actions

Fields in org.eclipse.mat.ui.snapshot.actions with type parameters of type IContextObject
Modifier and Type
Field
Description
`List<IContextObject>`
CopyActions.`elements`
`List<IContextObject>`
CopyOQL.`elements`
`List<IContextObject>`
SaveValueAsQuery.`objects`

## Uses of IContextObject in org.eclipse.mat.ui.util

Method parameters in org.eclipse.mat.ui.util with type arguments of type IContextObject
Modifier and Type
Method
Description
`boolean`
QueryContextMenu.`unsuitableSubjects(QueryDescriptor query, List<IContextObject> menuContext)`
See if the menuContext cannot possibly satisfy the requirements of the query.